## org.apache.batik.dom
Interface ExtendedNode

All Superinterfaces:
  org.w3c.dom.events.EventTarget, org.w3c.dom.Node, NodeEventTarget

All Known Implementing Classes:
  AbstractNode

public interface ExtendedNode
extends org.w3c.dom.Node, NodeEventTarget

This interface provides an access to the non DOM methods implemented by all the nodes in this implementation.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` `isReadonly()` Tests whether this node is readonly.
`void` `setNextSibling(org.w3c.dom.Node n)` Sets the node immediately following this node.
`void` `setNodeName(java.lang.String v)` Sets the name of this node.
`void` `setOwnerDocument(org.w3c.dom.Document doc)` Sets the owner document of this node.
`void` `setParentNode(org.w3c.dom.Node v)` Sets the parent node.
`void` `setPreviousSibling(org.w3c.dom.Node n)` Sets the node immediately preceding this node.
`void` `setReadonly(boolean v)` Sets this node readonly attribute.
`void` `setSpecified(boolean v)` Sets the value of the specified attribute.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.apache.batik.dom.events.NodeEventTarget
`getEventSupport, getParentNodeEventTarget`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Method Detail

### setNodeName

    public void setNodeName(java.lang.String v)

  Sets the name of this node.

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

### setOwnerDocument

    public void setOwnerDocument(org.w3c.dom.Document doc)

  Sets the owner document of this node.

### setParentNode

    public void setParentNode(org.w3c.dom.Node v)

  Sets the parent node.

### setPreviousSibling

    public void setPreviousSibling(org.w3c.dom.Node n)

  Sets the node immediately preceding this node.

### setNextSibling

    public void setNextSibling(org.w3c.dom.Node n)

  Sets the node immediately following this node.

### setSpecified

    public void setSpecified(boolean v)

  Sets the value of the specified attribute. This method only applies to Attr objects.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.